classification
Title: Carbon.CarbonEvt.ReceiveNextEvent args wrong
Type: behavior Stage: test needed
Components: macOS Versions: Python 2.7
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: jackjansen Nosy List: BreamoreBoy, gcewing, jackjansen, ned.deily, ronaldoussoren
Priority: low Keywords:

Created on 2003-10-12 01:23 by gcewing, last changed 2010-08-19 00:10 by BreamoreBoy. This issue is now closed.

Messages (4)
msg60412 - (view) Author: Gregory Ewing (gcewing) Date: 2003-10-12 01:23
In MacPython, the ReceiveNextEvent function in
Carbon.CarbonEvt
has been incorrectly wrapped.

In C, the 2nd argument of ReceiveNextEvent is declared
as an
EventTypeSpec *. This has been wrapped as though it were a
pointer to a single EventTypeSpec, but it's actually a
pointer to
an array of EventTypeSpecs.

The first two arguments of ReceiveNextEvent should be
represented in Python by a single argument containing a
list of EventTypeSpecs.
msg95687 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2009-11-24 16:59
According to 
<http://developer.apple.com/legacy/mac/library/documentation/Carbon/Concep
tual/Carbon_Event_Manager/CarbonEvents.pdf> this issue is valid.

However, I won't work on fixing this because Carbon is deprecated, both 
the Python bindings and the framework itself.

Therefore lowering the priority.
msg114292 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-08-18 22:52
As Carbon is deprecated and the resolution is already won't fix I'll close this in a couple of weeks unless anyone objects.
msg114304 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2010-08-18 23:55
Carbon does not exist in Python 3.  There's no need to wait to close this issue.
History
Date User Action Args
2010-08-19 00:10:12BreamoreBoysetstatus: open -> closed
2010-08-18 23:55:49ned.deilysetstatus: pending -> open
versions: - Python 3.1, Python 3.2
nosy: + ned.deily

messages: + msg114304
2010-08-18 22:52:44BreamoreBoysetstatus: open -> pending
versions: + Python 3.1, Python 3.2, - Python 2.6
nosy: + BreamoreBoy

messages: + msg114292
2009-11-24 16:59:58ronaldoussorensetresolution: wont fix
versions: + Python 2.6, Python 2.7
2009-11-24 16:59:29ronaldoussorensetpriority: normal -> low
nosy: + ronaldoussoren
messages: + msg95687

2009-02-13 04:39:21ajaksu2settype: behavior
stage: test needed
2003-10-12 01:23:48gcewingcreate